## com.ericsson.otp.ic
Class Pid

    com.ericsson.otp.ic.Pid

public final class Pid

Pid class mapps the built-in erlang type pid, a process identity.

Constructor Summary
`Pid(com.ericsson.otp.erlang.OtpInputStream buf)`
`Pid(com.ericsson.otp.erlang.OtpSelf self)`
`Pid(java.lang.String node, int id, int serial, int creation)`

Method Summary
`boolean` `equal(Pid _pid)` Comparisson method for Pid.

Constructor Detail

### Pid

    public Pid(com.ericsson.otp.erlang.OtpSelf self)

### Pid

    public Pid(com.ericsson.otp.erlang.OtpInputStream buf)
        throws com.ericsson.otp.erlang.OtpErlangDecodeException

### Pid

    public Pid(java.lang.String node,
               int id,
               int serial,
               int creation)

Method Detail

### equal

    public boolean equal(Pid _pid)

  Comparisson method for Pid.
  Returns:
    true if the input Pid value equals the value of the current object, false otherwize

Copyright © 1991-2007 Ericsson AB